Bug 1506552 - [abrt] [faf] NetworkManager: _g_log_abort(): /usr/sbin/NetworkManager killed by 5
Summary: [abrt] [faf] NetworkManager: _g_log_abort(): /usr/sbin/NetworkManager killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-26 10:18 UTC by Vladimir Benes
Modified: 2018-04-10 13:32 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.10.2-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 13:31:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
[PATCH] settings: avoid assertion when deleting connections (7.25 KB, patch)
2017-12-19 14:18 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0778 None None None 2018-04-10 13:32:56 UTC

Description Vladimir Benes 2017-10-26 10:18:04 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/774ec67a405f6ce3083d3a55d2876c2c5cc247b2/

Comment 2 Beniamino Galvani 2017-11-07 09:16:07 UTC
Fixed:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=33cb2f3723554b177803945d709d911cf6a3c77e

The bug is present only in a package built from a master snapshot.

Comment 3 Vladimir Benes 2017-12-15 20:01:56 UTC
reopening as I've seen it again

Comment 5 Beniamino Galvani 2017-12-19 14:18:48 UTC
Created attachment 1370049 [details]
[PATCH] settings: avoid assertion when deleting connections

Comment 6 Thomas Haller 2017-12-19 15:53:06 UTC
(In reply to Beniamino Galvani from comment #5)
> Created attachment 1370049 [details]
> [PATCH] settings: avoid assertion when deleting connections


I generally think it's a bug (misfeature) that we might re-add a connection -- and the need to clear the "removed" flag. Optimally, a connection instance doesn't get reused after being removed once.

According to a9384452ed61ca3f1c6e1db175f499307da9c388, it's due to the NM_CONTROLLED=no instances. I think we shouldn't create such pseudo instances just to track the unmanaged-spec. IOW, we should drop create_unhandled_connection().

Can you add a "FIXME:" comment to nm_settings_connection_added() that this shouldn't really happen bug might?


the patch lgtm for the moment.

Comment 7 Beniamino Galvani 2017-12-20 09:49:42 UTC
Added comment and applied to master:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=98ac0f404ed8103324b7d03cf04c24946f4543ff

Backported to nm-1-10 as well.

Comment 8 Vladimir Benes 2018-01-08 09:40:51 UTC
I can still see this, was it fixed?

is it a duplicate?
http://faf.lab.eng.brq.redhat.com/faf/problems/bthash/?bth=4872a3cccce41d5dbcd7180cf735487c9254c089

Comment 9 Beniamino Galvani 2018-01-08 10:08:01 UTC
The stack trace at http://faf.lab.eng.brq.redhat.com/faf/problems/bthash/?bth=4872a3cccce41d5dbcd7180cf735487c9254c089 :

1 	_g_log_abort
2 	g_logv
3 	g_log
4 	g_closure_invoke
5 	signal_emit_unlocked_R
6 	g_signal_emit_valist
7 	g_signal_emit
8 	g_cancellable_cancel
9 	_g_dbus_worker_close
10 	g_dbus_connection_close
11 	close_connection_in_idle
12 	g_idle_dispatch
13 	g_main_context_dispatch
14 	g_main_context_iterate.isra.22
15 	g_main_loop_run
16 	main

is different from the original one:

1 	_g_log_abort
2 	g_logv
3 	g_log
4 	g_type_check_instance_cast
5 	nm_settings_connection_get_uuid
6 	_nm_audit_manager_log_connection_op
7 	delete_auth_cb
8 	pk_auth_cb
9 	auth_chain_finish
10 	g_idle_dispatch
11 	g_main_context_dispatch
12 	g_main_context_iterate.isra.21
13 	g_main_loop_run
14 	main

Can you file a new bug entry?

Comment 10 Vladimir Benes 2018-01-08 10:17:07 UTC
done here:
https://bugzilla.redhat.com/show_bug.cgi?id=1532190

Comment 14 errata-xmlrpc 2018-04-10 13:31:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0778


Note You need to log in before you can comment on or make changes to this bug.